Bug 7253 - fast cataloging not always checking out
Summary: fast cataloging not always checking out
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin SOMERS
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-23 00:53 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (10.48 KB, patch)
2013-01-08 10:16 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7253: fast cataloging not always checking out (10.64 KB, patch)
2013-01-09 13:52 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7253: fast cataloging not always checking out (10.69 KB, patch)
2013-01-09 14:42 UTC, Paul Poulain
Details | Diff | Splinter Review
Proposed patch (follow-up 1) (5.57 KB, patch)
2013-01-11 11:26 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7253: followup : manage toolbar for fastcataloging (5.64 KB, patch)
2013-02-06 11:42 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 7253: fast cataloging not always checking out (10.69 KB, patch)
2013-02-11 07:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7253: followup : manage toolbar for fastcataloging (5.89 KB, patch)
2013-02-11 07:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7253: fast cataloging not always checking out (10.75 KB, patch)
2013-02-11 07:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7253: followup : manage toolbar for fastcataloging (5.89 KB, patch)
2013-02-11 07:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-11-23 00:53:55 UTC
Today during training we had the staff perform "fast cataloging" (They were given items to checkout that where not in Koha) After creating the item (clicking the "add item" button) some of the books were immediately checked out to the patron, while others never went past the "add item" screen.

If a "duplicate record suspected" message appears it will not automatically check the item out to the borrower after clicking "add item" It stays on the "edit items" screen. 

I'm not sure that's the only time something is not checked out, but it is certainly one reason a book won't be checked out when fast cataloged.
Comment 1 Katrin Fischer 2011-12-06 16:14:37 UTC
Hi Nicole, 
in my tests the checkouts didn't happen when you change the barcode on the item form. All other tests so far went well. Could this be the reason?
Comment 2 Nicole C. Engard 2011-12-06 16:39:13 UTC
Katrin,

That could be another reason, but if a duplicate if found most certainly doesn't check out the item.

Nicole
Comment 3 Fridolin SOMERS 2013-01-08 10:16:16 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2013-01-09 13:52:36 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2013-01-09 14:42:11 UTC
Patch tested with a sandbox, by koha.aixmarseille <koha.aixmarseille@gmail.com>
Comment 6 Paul Poulain 2013-01-09 14:42:32 UTC Comment hidden (obsolete)
Comment 7 Fridolin SOMERS 2013-01-11 11:26:15 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2013-01-24 13:08:11 UTC
Patch tested with a sandbox, by  koha.aixmarseille <koha.aixmarseille@gmail.com>
Comment 9 Jared Camins-Esakov 2013-02-05 17:28:58 UTC
The follow-up will need a signoff.
Comment 10 Fridolin SOMERS 2013-02-06 11:42:30 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2013-02-11 07:11:31 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2013-02-11 07:12:03 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2013-02-11 07:13:05 UTC
Created attachment 15220 [details] [review]
Bug 7253: fast cataloging not always checking out

When using fast cataloguing to create a biblio and item on the fly, workflow looses datas when a duplicate is detected.
This comes from the use of a mix of circborrowernumber and borrowernumber in forms.

This patch corrects by using always circborrowernumber in fast cataloguing workflow.
Also adds html and uri escape for barecode where necessery.

Test plan :
With duplicate :
- Go to a borrower circulation page
- Enter a non existing barcode
- Enter a due date
- Click on "Check Out"
=> a message says the barcode was not found
- Click on "Fast cataloguing"
=> The biblio edition page appears with fast cataloguing framework
- Fill mandatory fields by using an existing ISBN
- Click on "Save"
=> a yes/no message says "Duplicate record suspected"
(Choosing yes will brake fast caloguing workflow, in this case librarian should create an item and checkout again)
- Click on "No"
=> The item edition page appears with barcode already filled
- Fill mandatory datas
- Click on "Add item"
=> Borrower circulation page appears again, check that item has been checked out with the specified due date

You may test without duplicate

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Tested following the plan and by fast cataloging a non-duplicate.
All works as expected.

Signed-off-by: koha.aixmarseille <koha.aixmarseille@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 14 Katrin Fischer 2013-02-11 07:13:35 UTC
Created attachment 15221 [details] [review]
Bug 7253: followup : manage toolbar for fastcataloging

During fast cataloging, hide some toolbar menus of biblio edition page :
- Save and view record
- Z3950 Search
- Framework change
Also display "(fast cataloging)" in biblio and item editon.

Signed-off-by: koha.aixmarseille <koha.aixmarseille@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.

Tested:
- adding a fast add with duplicate and without
- adding a new record, checked toolbar showed up correctly
- editing existing record, checked toolbar showed up correctly
Comment 15 Jared Camins-Esakov 2013-02-12 15:01:03 UTC
This patch has been pushed to master.
Comment 16 Chris Cormack 2013-02-26 08:18:51 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.4 and 3.8.11